Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.mlt
Class MoreLikeThisQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.queries.mlt.MoreLikeThisQuery

All Implemented Interfaces:
  Cloneable

    public class MoreLikeThisQuery

extends Query

A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.

Constructor Summary
`MoreLikeThisQuery(String likeText, String[] moreLikeFields, Analyzer analyzer, String fieldName)`

Method Summary
`boolean` | `equals(Object obj)`
`Analyzer` | `getAnalyzer()`
`String` | `getLikeText()`
`int` | `getMaxQueryTerms()`
`int` | `getMinDocFreq()`
`int` | `getMinTermFrequency()`
`String[]` | `getMoreLikeFields()`
`float` | `getPercentTermsToMatch()`
`Set<?>` | `getStopWords()`
`int` | `hashCode()`
`Query` | `rewrite(IndexReader reader)`
`void` | `setAnalyzer(Analyzer analyzer)`
`void` | `setLikeText(String likeText)`
`void` | `setMaxQueryTerms(int maxQueryTerms)`
`void` | `setMinDocFreq(int minDocFreq)`
`void` | `setMinTermFrequency(int minTermFrequency)`
`void` | `setMoreLikeFields(String[] moreLikeFields)`
`void` | `setPercentTermsToMatch(float percentTermsToMatch)`
`void` | `setStopWords(Set<?> stopWords)`
`String` | `toString(String field)`

Methods inherited from class org.apache.lucene.search.Query
`clone, createWeight, extractTerms, getBoost, setBoost, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoreLikeThisQuery

    public MoreLikeThisQuery(String likeText,
                             String[] moreLikeFields,
                             Analyzer analyzer,
                             String fieldName)

Parameters:
  `moreLikeFields` - fields used for similarity measure

Method Detail

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Specified by:
    `toString` in class `Query`

### getPercentTermsToMatch

    public float getPercentTermsToMatch()

### setPercentTermsToMatch

    public void setPercentTermsToMatch(float percentTermsToMatch)

### getAnalyzer

    public Analyzer getAnalyzer()

### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

### getLikeText

    public String getLikeText()

### setLikeText

    public void setLikeText(String likeText)

### getMaxQueryTerms

    public int getMaxQueryTerms()

### setMaxQueryTerms

    public void setMaxQueryTerms(int maxQueryTerms)

### getMinTermFrequency

    public int getMinTermFrequency()

### setMinTermFrequency

    public void setMinTermFrequency(int minTermFrequency)

### getMoreLikeFields

    public String[] getMoreLikeFields()

### setMoreLikeFields

    public void setMoreLikeFields(String[] moreLikeFields)

### getStopWords

    public Set<?> getStopWords()

### setStopWords

    public void setStopWords(Set<?> stopWords)

### getMinDocFreq

    public int getMinDocFreq()

### setMinDocFreq

    public void setMinDocFreq(int minDocFreq)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Query`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Query`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.